Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.phidgets
Class TextLEDPhidget

    java.lang.Object
      com.phidgets.Phidget
          com.phidgets.TextLEDPhidget

    public final class TextLEDPhidget

extends Phidget

This class represents a Phidget Text LED. All methods to control the Text LED are implemented in this class.

The Text LED is a Phidget that displays text and numerals on LED numeric display in rows. The number of rows and size of each row depends on your configuration.

Constructor Summary
`TextLEDPhidget()`

Method Summary
`int` | `getBrightness()` Returns the bringhtness.
`int` | `getColumnCount()` Returns the number of columns (Characters per row).
`int` | `getRowCount()` Returns the number of rows.
`void` | `setBrightness(int brightness)` Sets the brightness of all rows.
`void` | `setDisplayString(int index, java.lang.String text)` Sets the display string of a certain row.

Methods inherited from class com.phidgets.Phidget
`addAttachListener, addDetachListener, addErrorListener, close, equals, getDeviceName, getDeviceType, getDeviceVersion, getLibraryVersion, getSerialNumber, getTag, isAttached, open, openAny, removeAttachListener, removeDetachListener, removeErrorListener, setTag, toString, waitForAttachment`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextLEDPhidget

    public TextLEDPhidget()
                   throws PhidgetException

Throws:
  `PhidgetException`

Method Detail

### getRowCount

    public int getRowCount()
                    throws PhidgetException

  Returns the number of rows. This returns the maximum number of rows supported by the device, not neccessarily the number of rows actually available with your coniguration.

  Returns:
    rows
  Throws:
    `PhidgetException` - If this Phidget is not opened and attached. See `open` for information on determining if a device is attached.

### getColumnCount

    public int getColumnCount()
                       throws PhidgetException

  Returns the number of columns (Characters per row). This returns the maximum number of columns supported by the device, not neccessarily the number of columns actually available with your coniguration.

  Returns:
    columns
  Throws:
    `PhidgetException` - If this Phidget is not opened and attached. See `open` for information on determining if a device is attached.

### getBrightness

    public int getBrightness()
                      throws PhidgetException

  Returns the bringhtness. This is the brightneww of all rows. The Default brightness is 100.

  Returns:
    brightness
  Throws:
    `PhidgetException` - If this Phidget is not opened and attached. See `open` for information on determining if a device is attached.

### setBrightness

    public void setBrightness(int brightness)
                       throws PhidgetException

  Sets the brightness of all rows. The valid range is 0-100.

  Parameters:
    `brightness` - brightness
  Throws:
    `PhidgetException` - If this Phidget is not opened and attached, or the brightness value is out of range. See `open` for information on determining if a device is attached.

### setDisplayString

    public void setDisplayString(int index,
                                 java.lang.String text)
                          throws PhidgetException

  Sets the display string of a certain row. If the string is longer then the row, it will be truncated.

  Parameters:
    `index` - Row
    `text` - String
  Throws:
    `PhidgetException` - If this Phidget is not opened and attached, or if the row is out of range. See `open` for information on determining if a device is attached.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD